Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# inftrees.c File Reference

`#include "zutil.h"`
`#include "inftrees.h"`

Include dependency graph for inftrees.c:

## Compounds
struct | internal_state
## Defines
#define | BUILDFIXED
#define | exop word.what.Exop
#define | bits word.what.Bits
#define | BMAX 15
#define | C0 *p++ = 0;
#define | C2 C0 C0 C0 C0
#define | C4 C2 C2 C2 C2
#define | FIXEDH 544
## Functions
int | huft_build ()
int | huft_build (b, n, s, d, e, t, m, hp, hn, v) uIntf *b
int | inflate_trees_fixed (bl, bd, tl, td, z) uIntf *bl
## Variables
char | inflate_copyright []
uInt | cplens [31]
uInt | cplext [31]
uInt | cpdist [30]
uInt | cpdext [30]
uInt | n
uInt | s
uIntf * | d
uIntf * | e
inflate_huft ** | t
uIntf * | m
inflate_huft * | hp
uInt * | hn
uIntf * | v
uIntf * | bb
inflate_huft ** | tb
z_streamp | z
uInt | nd
uIntf * | c
uIntf * | bl
uIntf * | bd
inflate_huft ** | tl
inflate_huft ** | td
inflate_huft | fixed_mem [544]
uInt | fixed_bl
uInt | fixed_bd
inflate_huft * | fixed_tl
inflate_huft * | fixed_td

## Define Documentation

#define bits word.what.Bits

#define BMAX 15

#define BUILDFIXED

#define C0 *p++ = 0;

#define C2 C0 C0 C0 C0

#define C4 C2 C2 C2 C2

#define exop word.what.Exop

#define FIXEDH 544

## Function Documentation

int huft_build | ( | b | ,
|  | n | ,
|  | s | ,
|  | d | ,
|  | e | ,
|  | t | ,
|  | m | ,
|  | hp | ,
|  | hn | ,
|  | v |
| ) | `[static]`

int huft_build | ( |  | ) | `[static]`

int inflate_trees_fixed | ( | bl | ,
|  | bd | ,
|  | tl | ,
|  | td | ,
|  | z |
| ) |

## Variable Documentation

uIntf* bb

uIntf* bd

uIntf* bl

uIntf* c

uInt cpdext[30]`[static]`

| Initial value:
     {
            0, 0, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6,
            7, 7, 8, 8, 9, 9, 10, 10, 11, 11,
            12, 12, 13, 13}

uInt cpdist[30]`[static]`

| Initial value:
     {
            1, 2, 3, 4, 5, 7, 9, 13, 17, 25, 33, 49, 65, 97, 129, 193,
            257, 385, 513, 769, 1025, 1537, 2049, 3073, 4097, 6145,
            8193, 12289, 16385, 24577}

uInt cplens[31]`[static]`

| Initial value:
     {
            3, 4, 5, 6, 7, 8, 9, 10, 11, 13, 15, 17, 19, 23, 27, 31,
            35, 43, 51, 59, 67, 83, 99, 115, 131, 163, 195, 227, 258, 0, 0}

uInt cplext[31]`[static]`

| Initial value:
     {
            0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2,
            3, 3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 0, 112, 112}

uIntf* d

uIntf* e

uInt fixed_bd`[static]`

uInt fixed_bl`[static]`

inflate_huft fixed_mem[ 544 ]`[static]`

inflate_huft* fixed_td`[static]`

inflate_huft* fixed_tl`[static]`

uInt* hn

inflate_huft * hp

char inflate_copyright[]

| Initial value:
       " inflate 1.1.3 Copyright 1995-1998 Mark Adler "

uIntf* m

uInt n

uInt nd

uInt s

inflate_huft* * t

inflate_huft* * tb

inflate_huft* * td

inflate_huft* * tl

uIntf* v

z_streamp z